Name: ansible
Summary: SSH-based configuration management, deployment, and task execution system
Version: 2.3.1.0
Release: %mkrel 2
Group: Development/Python
License: GPLv3
Source0: http://releases.ansible.com/%{name}/%{name}-%{version}.tar.gz
Url: http://ansible.com
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: PyYAML
Requires: python-paramiko
Requires: python-jinja2
Requires: python-keyczar

%description

Ansible is a radically simple model-driven configuration management,
multi-node deployment, and orchestration engine. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT/etc/%{name}/
install -m 0644 examples/hosts $RPM_BUILD_ROOT/etc/%{name}/
install -m 0644 examples/%{name}.cfg $RPM_BUILD_ROOT/etc/%{name}/
install -d -m 0755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0644 docs/man/man1/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/%{name}

%files
%doc README.md PKG-INFO COPYING
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%dir %{python_sitelib}/%{name}-%{version}*
%{python_sitelib}/%{name}-%{version}*/*
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*


%changelog
* Fri Jun 09 2017 bcornec <bcornec> 2.3.1.0-2.mga5
+ Revision: 1107355
- Align with cauldron to ansible 2.3.1.0 which also fixes the bugs mentioned earlier
- Fix mga#19740 by updating to ansible 2.3.0.0
- Fix mga#19740 by adding upstream 2.2.0 patches onto 1.9.6
- Update to upstream 1.9.2 (Fixes #16309)

  + philippem <philippem>
    - update to 1.9.6, bug fix release and CVE-2016-3096 mga#18275

* Fri Dec 05 2014 bcornec <bcornec> 1.8.1-1.mga5
+ Revision: 801606
- Update to upstream 1.8.1

* Thu Oct 16 2014 bcornec <bcornec> 1.7.2-1.mga5
+ Revision: 758892
- Update to upstream ansible 1.7.2

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.1-3.mga5
+ Revision: 725940
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-2.mga5
+ Revision: 677767
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 bcornec <bcornec> 1.7.1-1.mga5
+ Revision: 670239
- Update to ansibla 1.7.1 upstream

* Mon Aug 11 2014 bcornec <bcornec> 1.7-1.mga5
+ Revision: 661832
- Update to upstream ansible 1.7

* Sun Aug 10 2014 bcornec <bcornec> 1.6.10-1.mga5
+ Revision: 661315
- Update to upstream 1.6.10 to fixing security issues

* Thu Jul 24 2014 bcornec <bcornec> 1.6.8-3.mga5
+ Revision: 656219
- python-setuptools is a BuildRequire of course !
- ansible now requires python-setuptools to build correctly
- Update to upstream 1.6.8

* Sat May 31 2014 pterjan <pterjan> 1.5.5-2.mga5
+ Revision: 628100
- Rebuild for new Python

* Tue Apr 29 2014 bcornec <bcornec> 1.5.5-1.mga5
+ Revision: 618792
- Update ansible to 1.5.5 upstream
- No man3 man pages provided anymore so remove their copy

* Wed Jan 22 2014 bcornec <bcornec> 1.4.3-1.mga5
+ Revision: 567445
- Update to upstream 1.4.3

* Tue Dec 03 2013 bcornec <bcornec> 1.4.1-1.mga4
+ Revision: 554733
- Update to upstream 1.4.1

* Sat Nov 23 2013 bcornec <bcornec> 1.4-1.mga4
+ Revision: 552390
- Update to upstream ansible 1.4

* Mon Nov 11 2013 philippem <philippem> 1.3.4-4.mga4
+ Revision: 550500
- Add Requires python-keyczar on main package for accelerated mode

* Sun Nov 03 2013 bcornec <bcornec> 1.3.4-3.mga4
+ Revision: 549294
- Update to upstream 1.3.4

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 542481
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.3.2-2.mga4
+ Revision: 497632
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 bcornec <bcornec> 1.3.2-1.mga4
+ Revision: 493040
- Update ansible to 1.3.2 upstream

* Mon Sep 09 2013 bcornec <bcornec> 1.2.3-2.mga4
+ Revision: 476539
- Push reltag to 2 for ansible as previous patches consequence
- Do not generate the 0mq packages for now as zeromq is not in Mageia yet and SSH can be used
- Update Group in SPEC file for ansible
- Update sha for ansible
- Import from Fedora the ansible package
- Created package structure for ansible.

